% This is an ad-hoc script to read in Elekta files with simultaneous EEG/MEG
% to discard trigger channels and fix scaling of thos remaining

% import MNE constants
global FIFF;
if isempty(FIFF)
   FIFF = fiff_define_constants();
end

% get types of each channel, in channel ordering
eegChannelFilter = chantype(EEG.chaninfo.fiffheader, 'eeg');
magChannelFilter = chantype(EEG.chaninfo.fiffheader, 'megmag');
gradChannelFilter = chantype(EEG.chaninfo.fiffheader, 'megplanar');

eegScale = 1e6;
magScale =3e13;
gradScale =3e12;

EEG.data(eegChannelFilter,:) = EEG.data(eegChannelFilter,:)*eegScale;
EEG.data(magChannelFilter,:) = EEG.data(magChannelFilter,:)*magScale;
EEG.data(gradChannelFilter,:) = EEG.data(gradChannelFilter,:)*gradScale

% TO DO
% find somewhere to keep note of new scalings
